Subject: bug#17739: 24.3; Dotted circle does not combine with Thai vowel markers

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Sep 2019 09:54:37 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 21 Sep 2019 01:04:37 +0200
> Cc: [email-masked], [email-masked], 
> 	Eli Zaretskii <[email-masked]>
> 
> [email-masked] (K. Handa) writes:
> 
> > In article <[email-masked]>, [email-masked] (K. Handa) writes:
> >
> >> But, the above function is not yet perfect.  In some fonts,
> >> a glyhp of dotted-circle may have positive width, a glyph of
> >> a character following dotted-circle may be narrower than the
> >> glyph of dotted-circle.  The function should handle those
> >> cases gracefully.  I'm now working on it.
> >
> > I've just committed a function to handle dotted-circle
> > properly to the trunk.
> 
> Since there have been no further updates in 5 years, I'm going to
> assume that the fix worked as expected and close this bug.  If that is
> incorrect, please report back and we can reopen the bug report.

The original recipe still doesn't display correctly on the current
master, so I think something is still missing.  Not sure what exactly
is missing.